Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Class UnitImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.axiom.units.UnitImpl

All Implemented Interfaces
  Unit, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class UnitImpl

extends BelongingImpl
implements Unit, Cloneable

A unit of measure. Example include ( liter, bag, ream etc.). It is used together with a conversion factor to translate from one unit to another.

See Also
  `Unit`, `UnitHome`, Serialized Form

Field Summary
`String` | `name` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`UnitImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setName(String name)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### name

    public String name

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### UnitImpl

    public UnitImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getName

    public String getName()

  Deprecated See BEA Commerce product offering

  Get the value of name

  Specified by:
    `getName` in interface `Unit`
  Returns
    name.

### setName

    public void setName(String name)

  Deprecated See BEA Commerce product offering

  Set the value of name

  Specified by:
    `setName` in interface `Unit`
  Parameters
    `name` - name to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved